poedit-2.2.1-1.5.i586.rpm


Advertisement

Description

poedit - Gettext Catalog Editing Tool

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename poedit-2.2.1-1.5.i586.rpm
Package name poedit
Package version 2.2.1
Package release 1.5
Package architecture i586
Package type rpm
Category Development/Tools/Other
Homepage http://www.poedit.net/
License MIT
Maintainer -
Download size 1.12 MB
Installed size 4.03 MB
poEdit is an editor for gettext catalogs (.po files). It is built
with the wxWidgets toolkit, providing a graphical approach to
editing catalogs over launching vi and editing the file by hand.

Alternatives

Package Version Architecture Repository
poedit-2.2.1-1.5.x86_64.rpm 2.2.1 x86_64 openSUSE Oss
poedit - - -

Requires

Name Value
gettext-tools -
libboost_iostreams.so.1.69.0 -
libboost_thread.so.1.69.0 -
libc.so.6(GLIBC_2.25) -
libcld2.so.0 -
libcpprest.so.2.10 -
libcrypto.so.1.1 -
libcrypto.so.1.1(OPENSSL_1_1_0) -
libgcc_s.so.1 -
libgcc_s.so.1(GCC_3.0) -
libgcc_s.so.1(GLIBC_2.0) -
libglib-2.0.so.0 -
libgobject-2.0.so.0 -
libgtk-x11-2.0.so.0 -
libgtkspell.so.0 -
libicui18n.so.suse64.2 -
libicuuc.so.suse64.2 -
liblucene++.so.0 -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.3.2) -
libpthread.so.0(GLIBC_2.3.3) -
libpugixml.so.1 -
libsecret-1.so.0 -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(CXXABI_1.3.1) -
libstdc++.so.6(CXXABI_1.3.11) -
libstdc++.so.6(CXXABI_1.3.2) -
libstdc++.so.6(CXXABI_1.3.3) -
libstdc++.so.6(CXXABI_1.3.5) -
libstdc++.so.6(CXXABI_1.3.9) -
libstdc++.so.6(GLIBCXX_3.4) -
libstdc++.so.6(GLIBCXX_3.4.11) -
libstdc++.so.6(GLIBCXX_3.4.14) -
libstdc++.so.6(GLIBCXX_3.4.15) -
libstdc++.so.6(GLIBCXX_3.4.18) -
libstdc++.so.6(GLIBCXX_3.4.20) -
libstdc++.so.6(GLIBCXX_3.4.21) -
libstdc++.so.6(GLIBCXX_3.4.9) -
libwx_baseu-suse.so.3.0.4 -
libwx_baseu-suse.so.3.0.4(WXU_3.0) -
libwx_baseu_net-suse.so.3.0.4 -
libwx_baseu_net-suse.so.3.0.4(WXU_3.0) -
libwx_gtk2u_adv-suse.so.3.0.4 -
libwx_gtk2u_adv-suse.so.3.0.4(WXU_3.0) -
libwx_gtk2u_adv-suse.so.3.0.4(WXU_3.0.3) -
libwx_gtk2u_core-suse.so.3.0.4 -
libwx_gtk2u_core-suse.so.3.0.4(WXU_3.0) -
libwx_gtk2u_stc-suse.so.3.0.4 -
libwx_gtk2u_stc-suse.so.3.0.4(WXU_3.0) -
libwx_gtk2u_xrc-suse.so.3.0.4 -
libwx_gtk2u_xrc-suse.so.3.0.4(WXU_3.0) -

Provides

Name Value
application() -
application(net.poedit.Poedit.desktop) -
application(net.poedit.PoeditURI.desktop) -
metainfo() -
metainfo(net.poedit.Poedit.appdata.xml) -
mimehandler(application/x-gettext) -
mimehandler(application/x-gettext-translation) -
mimehandler(application/x-po) -
mimehandler(application/x-xliff+xml) -
mimehandler(text/x-gettext-translation) -
mimehandler(text/x-gettext-translation-template) -
mimehandler(text/x-po) -
mimehandler(x-scheme-handler/poedit) -
poedit = 2.2.1-1.5
poedit(x86-32) = 2.2.1-1.5

Download

Type URL
Mirror widehat.opensuse.org
Binary Package poedit-2.2.1-1.5.i586.rpm
Source Package poedit-2.2.1-1.5.src.rpm

Install Howto

Install poedit rpm package:

# zypper install poedit

Files

Path
/usr/bin/poedit
/usr/share/appdata/net.poedit.Poedit.appdata.xml
/usr/share/applications/net.poedit.Poedit.desktop
/usr/share/applications/net.poedit.PoeditURI.desktop
/usr/share/doc/packages/poedit/AUTHORS
/usr/share/doc/packages/poedit/NEWS
/usr/share/doc/packages/poedit/README
/usr/share/icons/hicolor/16x16/apps/net.poedit.Poedit.png
/usr/share/icons/hicolor/24x24/apps/net.poedit.Poedit.png
/usr/share/icons/hicolor/256x256/apps/net.poedit.Poedit.png
/usr/share/icons/hicolor/32x32/apps/net.poedit.Poedit.png
/usr/share/icons/hicolor/48x48/apps/net.poedit.Poedit.png
/usr/share/icons/hicolor/512x512/apps/net.poedit.Poedit.png
/usr/share/licenses/poedit/COPYING
/usr/share/man/man1/poedit.1.gz
/usr/share/poedit/
/usr/share/poedit/icons/CrowdinLogo.png
/usr/share/poedit/icons/DownvoteTemplate.png
/usr/share/poedit/icons/ExtractorsGNUgettext.png
/usr/share/poedit/icons/ItemBookmarkTemplate.png
/usr/share/poedit/icons/ItemCommentTemplate.png
/usr/share/poedit/icons/PoeditWelcome.png
/usr/share/poedit/icons/StatusError.png
/usr/share/poedit/icons/StatusErrorBlack.png
/usr/share/poedit/icons/StatusWarning.png
/usr/share/poedit/icons/StatusWarningBlack.png
/usr/share/poedit/icons/SuggestionError.png
/usr/share/poedit/icons/SuggestionPerfectMatch.png
/usr/share/poedit/icons/SuggestionTMTemplate.png
/usr/share/poedit/icons/document-new.png
/usr/share/poedit/icons/document-open.png
/usr/share/poedit/icons/document-properties.png
/usr/share/poedit/icons/document-save.png
/usr/share/poedit/icons/edit-delete.png
/usr/share/poedit/icons/poedit-status-cat-mid.png
/usr/share/poedit/icons/poedit-status-cat-no.png
/usr/share/poedit/icons/poedit-status-cat-ok.png
/usr/share/poedit/icons/poedit-sync.png
/usr/share/poedit/icons/poedit-update.png
/usr/share/poedit/icons/poedit-validate.png
/usr/share/poedit/icons/sidebar.png
/usr/share/poedit/icons/window-close.png
/usr/share/poedit/icons/hicolor/
/usr/share/poedit/icons/hicolor/scalable/
/usr/share/poedit/icons/hicolor/scalable/actions/poedit-sync-symbolic.svg
/usr/share/poedit/icons/hicolor/scalable/actions/poedit-update-symbolic.svg
/usr/share/poedit/icons/hicolor/scalable/actions/poedit-validate-symbolic.svg
/usr/share/poedit/icons/hicolor/scalable/actions/sidebar-symbolic.svg

Changelog

2019-01-14 - astieger@suse.com
- PoEdit 2.2.1:
* Improved highlighting of HTML and placeholders
* File references are now supported in XLIFF
* Compatibility fixes for Wayland, wxGTK 3.0 and dark themes
2018-10-10 - Guillaume GARDET <guillaume.gardet@opensuse.org>
- Add _constraints to avoid OOM errors
2018-10-08 - antoine.belvire@opensuse.org
- PoEdit 2.2:
* Support for editing XLIFF (both 1.2 and 2) files.
* Fixes for correct handling of dark themes.
* Improved appearance with GTK+ 3.
* Updated AppData and desktop files to use reverse DNS naming.
* Updated translations.
2018-07-27 - antoine.belvire@opensuse.org
- PoEdit 2.1.1:
* Updated translations.
2018-07-24 - antoine.belvire@opensuse.org
- PoEdit 2.1:
* Added import and export of translation memory as TMX files.
* Added ability to delete bad translations from the TM.
* TM now has limited support for plural forms (only nplurals<=2).
* Improved handling plural form rules. CLDR is now used as the
data source and expressions are checked for equivalence before
warning about unusual forms.
- Prefer system libraries over bundled ones.
- Fix cpprest detection: Add openssl as build requirement.
- Minor spec cleanups:
* Don't recommend lang package as lang package has already a
'Supplements:' with the same effect.
* Remove call to suse_update_desktop_file (redundant with brp
script).
* Remove compatibility with Leap <= 42.3 (dependencies are
unresolvable since PoEdit 1.8.12 anyway).
2018-07-11 - antoine.belvire@opensuse.org
- PoEdit 2.0.9:
* Improved dark theme supports (still not perfect).
* Fixed broken list rendering of RTL text on Windows.
2018-06-12 - antoine.belvire@opensuse.org
- PoEdit 2.0.8:
* Added CakePHP support.
* Minor QA warnings and RTL fixes.
* Improved TM reset to work when the index is corrupted.
2018-05-09 - astieger@suse.com
- PoEdit 2.0.7:
* Fix mangled non-English gettext error messages
* Add inline explanation of custom extractors syntax
2018-01-18 - astieger@suse.com
- PoEdit 2.0.6:
* Fix hanging with certain rare (non-UTF8, non-ASCII msgids)
PO files
2017-12-12 - astieger@suse.com
- PoEdit 2.0.5:
* Various bugfixes, including fixes for other platforms

See Also

Package Description
poedit-lang-2.2.1-1.5.noarch.rpm Translations for package poedit
poezio-0.11-2.2.i586.rpm XMPP Client for the Console
poezio-0.11-2.2.x86_64.rpm XMPP Client for the Console
poezio-doc-0.11-2.2.noarch.rpm Documentation for poezio
polari-3.32.1-1.1.i586.rpm An IRC Client for GNOME
polari-3.32.1-1.1.x86_64.rpm An IRC Client for GNOME
polari-lang-3.32.1-1.1.noarch.rpm Translations for package polari
policycoreutils-2.9-2.1.i586.rpm SELinux policy core utilities
policycoreutils-2.9-2.1.x86_64.rpm SELinux policy core utilities
policycoreutils-devel-2.9-2.1.i586.rpm SELinux policy core policy devel utilities
policycoreutils-devel-2.9-2.1.x86_64.rpm SELinux policy core policy devel utilities
policycoreutils-lang-2.9-2.1.noarch.rpm Translations for package policycoreutils
policycoreutils-newrole-2.9-2.1.i586.rpm The newrole application for RBAC/MLS
policycoreutils-newrole-2.9-2.1.x86_64.rpm The newrole application for RBAC/MLS
polkit-0.115-4.1.i586.rpm PolicyKit Authorization Framework
Advertisement
Advertisement